<script setup>
import { IndexPage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/product';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from '@/app/components/vue/RouterLink.vue';
import Index from '@/app/components/crud/Index.vue';
</script>

<script>
export default {
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Продукты'),
            model: model,
            http: {
                path: 'product/product',
                query: {
                    'with[0]': 'creator',
                    'with[1]': 'category',
                    'with[2]': 'brand',
                },
            },
            actions: ['variations', 'show', 'update', 'delete', 'restore'],
            extraActions: {
                variations: {
                    path: 'product/variation/:id',
                    buttonOptions: {
                        title: this.__('Вариации'),
                        class: 'btn btn-info',
                    },
                    iconOptions: {
                        class: 'fas fa-boxes',
                    },
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <RouterLink to="product/product/create" class="btn btn-success">
            {{ __('Создать') }}
        </RouterLink>
    </PageTitle>

    <Index />
</template>
